Skip to main content
POST
Feed

Authorizations

Authorization
string
header
required

A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.

Path Parameters

workspaceId
string
required
Minimum string length: 1

Body

application/json
channels
enum<string>[]
Available options:
META,
GOOGLE,
LINKEDIN
trackedCompanyIds
string<cuid>[]
Pattern: ^[cC][^\s-]{8,}$
collectionId
string<cuid> | null
Pattern: ^[cC][^\s-]{8,}$
classification
enum<string>
Available options:
COMPETITOR,
INSPIRATION,
SELF
classifications
enum<string>[]
Minimum array length: 1
Available options:
COMPETITOR,
INSPIRATION,
SELF
landingPages
string[]
Minimum string length: 1
languages
string[]
Minimum array length: 1
Pattern: ^(?:[a-z]{2}|und)$
aiTags
object
formatTypes
enum<string>[]
Available options:
IMAGE,
VIDEO,
CAROUSEL
daysActive
enum<string>
Available options:
under7,
over7
statuses
enum<string>[]
Available options:
active,
inactive
adLengths
enum<string>[]
Available options:
under15,
15to30,
30to60,
over60
sort
enum<string>
default:newest
Available options:
newest,
longevity,
impressions
cursor
string
limit
integer
default:50
Required range: 1 <= x <= 100

Response

200 - application/json

Success

items
object[]
required
nextCursor
string | null
required
totals
object
required
facets
object
required